<?php
/**
 * Clipart Bulk Upload
 *
 * Registers clipart post type metaboxes.
 *
 * @since      1.0.0
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/admin
 * @author     uDesign Team <udesign@vectorartmedia.com>
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

/**
 * VAM_UDesign_Clipart_Bulk_Upload Class.
 */
class VAM_UDesign_Clipart_Bulk_Upload {

  /**
   * Upload error messages.
   *
   * @var array
   */
  public static $upload_errors  = array();

  /**
   * Constructor.
   */
  public function __construct() {
    add_action( 'admin_menu', array( $this, 'add_clipart_bulk_upload_submenu_page' ), 30 );
  }

  /**
   * Add Clipart bulk upload page.
   */
  public static function add_clipart_bulk_upload_submenu_page() {
    add_submenu_page( 'edit.php?post_type=clipart', __( 'Bulk Upload', 'vam-udesign' ), __( 'Bulk Upload', 'vam-udesign' ), 'manage_options', 'clipart_bulk_upload',  __CLASS__ . '::clipart_bulk_upload_page' );
  }

  public static function clipart_bulk_upload_page() {
    $post = new WP_Post( (object) array(
      'post_type' => 'clipart'
    ));

    $box = array(
      'args' => array(
        'taxonomy' => 'clipart_cat'
      )
    );

    require_once( ABSPATH . 'wp-admin/includes/meta-boxes.php');
    include 'partials/html-clipart-bulk-upload-page.php';
  }

  /**
   * Check if we're saving, the trigger an action based on the post type.
   *
   * @param  int $post_id
   * @param  object $post
   */
  public function process_clipart_bulk_upload() {

  }
}

new VAM_UDesign_Clipart_Bulk_Upload();
