<?php

$color_terms = get_terms( 'pa_color', apply_filters( 'woocommerce_product_attribute_terms', array(
  'orderby'    => 'id',
  'hide_empty' => 0
) ) );

$design_excluded_colors = get_post_meta( $post->ID, '_design_excluded_colors', true );
if ( empty( $design_excluded_colors ) ) {
  $design_excluded_colors = array();
}

if ( !empty( $color_terms ) && !is_wp_error( $color_terms ) ) {
?>

<div class="form-row form-row-full design-excluded-colors">
  <p>
    <button type="button" id="excluded-colors-select-btn" class="button action"
      data-select-all="<?php _e( 'Select all', 'vam-udesign' ); ?>"
      data-deselect-all="<?php _e( 'Deselect all', 'vam-udesign' ); ?>">
      <?php _e( 'Select all', 'vam-udesign' ); ?>
    </button>
  </p>

<?php
  foreach( $color_terms as $color_term ) {
    $color_swatch = new VAM_UDesign_WC_Swatch_Term( $color_term->term_id );
?>

    <div class="color">
      <div class="excluded-color-input-wrapper">
        <input type="checkbox" name="design_excluded_colors[]" class="excluded-color-input" <?php checked( in_array( $color_term->slug, $design_excluded_colors ) , '1' ); ?> value="<?php echo $color_term->slug; ?>">
      </div>
      <?php echo $color_swatch->get_html(); ?>
    </div>

<?php
  }
?>

  <div class="clearfix"></div>
</div>

<?php
} else {
?>

  <span><?php echo __( 'No colors available', 'vam-udesign' ); ?></span>

<?php
}
