<div class="wrap udesign design-import">
  <h1 class="wp-heading-inline"><?php _e( 'Import Designs', 'vam-udesign' ); ?></h1>
  <hr class="wp-header-end">

  <form id="posts-filter" method="get">
    <input type="hidden" name="post_type" class="post_type_page" value="design">
    <input type="hidden" name="page" class="post_type_page" value="design_import">
    <input type="hidden" name="paged" class="post_type_page" value="<?php echo $query_params['paged']; ?>">

    <h2 class="screen-reader-text"><?php _e( 'Filter design items list', 'vam-udesign' ); ?></h2>
    <div class="wp-filter">
      <div class="filter-items">
        <label for="category-filter" class="screen-reader-text"><?php echo _e( 'Filter by category' ); ?></label>
        <select class="category-filters" name="category-filter" id="category-filter">
          <option value="0"><?php _e( 'All categories' ); ?></option>
          <?php foreach( $design_categories as &$design_category ) { ?>
            <option <?php selected( $query_params['category_id'], $design_category['id'], true ); ?>
              value="<?php echo $design_category['id']; ?>"><?php echo $design_category['name']; ?></option>
          <?php } ?>
        </select>

        <label for="filter-by-date" class="screen-reader-text"><?php _e( 'Filter by date' ); ?></label>
        <select name="m" id="filter-by-date">
          <option value="0"><?php _e( 'All dates' ); ?></option>
          <?php foreach( $design_dates as $date_value => $date_name ) { ?>
            <option <?php selected( $query_params['month'], $date_value, true ); ?>
              value="<?php echo $date_value; ?>"><?php echo $date_name; ?></option>
          <?php } ?>
        </select>

        <label for="limit-filter" class="screen-reader-text"><?php echo _e( 'Posts per page', 'vam-udesign' ); ?></label>
        <select class="limit-filters" name="posts_per_page" id="limit-filter">
            <?php
            $limits = array(
              '10' => __('10 items per page', 'vam-udesign'),
              '25' => __('25 items per page', 'vam-udesign'),
              '50' => __('50 items per page', 'vam-udesign'),
              '100' => __('100 items per page', 'vam-udesign')
            );

            foreach( $limits as $key => $value ) { ?>
              <option <?php selected( $query_params['limit'], $key, true ); ?>
                value="<?php echo $key; ?>"><?php echo $value; ?></option>
          <?php } ?>
        </select>

        <div class="actions view-switch">
          <input type="submit" name="filter_action" id="post-query-submit" class="button" value="<?php _e( 'Filter' ); ?>" />
        </div>
      </div>

      <div class="search-form">
        <label for="designs-search-input" class="screen-reader-text"><?php _e( 'Search Designs', 'vam-udesign' ); ?></label>
        <input type="search" placeholder="<?php _e( 'Search design items...', 'vam-udesign' ); ?>"
          id="designs-search-input" class="search" name="s" value="<?php echo $query_params['query']; ?>">
      </div>
    </div>

    <div class="tablenav top">
      <div class="alignleft bulkactions">
        <button type="button" id="select" class="button action"><?php _e( 'Select all', 'vam-udesign' ); ?></button>
        <button type="button" id="import" class="button button-primary action" disabled="disabled"><?php _e( 'Import', 'vam-udesign' ); ?></button>
      </div>

      <h2 class="screen-reader-text"><?php _e( 'Design items list navigation', 'vam-udesign' ); ?></h2>
      <div class="tablenav-pages">
        <span class="displaying-num"><?php echo $design_list['total_items']; ?> <?php _e( 'items', 'vam-udesign' ); ?></span>
        <span class="pagination-links">
          <?php if ( $query_params['paged'] <= 1 ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&laquo;</span>
          <?php } else { ?>
            <a class="pagination-link first-page" href="#" data-page="<?php echo 1; ?>">
              <span class="screen-reader-text"><?php _e( 'First page' ); ?></span>
              <span aria-hidden="true">&laquo;</span>
            </a>
          <?php } ?>

          <?php if ( $query_params['paged'] <= 1 ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&lsaquo;</span>
          <?php } else { ?>
            <a class="pagination-link prev-page" href="#" data-page="<?php echo max( $query_params['paged'] - 1, 1 ); ?>">
              <span class="screen-reader-text"><?php _e( 'Previous page' ); ?></span>
              <span aria-hidden="true">&lsaquo;</span>
            </a>
          <?php } ?>

          <span class="paging-input">
            <label for="current-page-selector" class="screen-reader-text"><?php _e( 'Current Page' ); ?></label>
            <input class="pagination-link current-page" id="current-page-selector" type="text" name="paged"
              value="<?php echo $query_params['paged']; ?>" size="3" aria-describedby="table-paging">
            <span class="tablenav-paging-text"> <?php _e( 'of' ); ?> <span class="total-pages"><?php echo $design_list['total_pages']; ?></span></span>
          </span>

          <?php if ( $query_params['paged'] >= $design_list['total_pages'] ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&rsaquo;</span>
          <?php } else { ?>
            <a class="pagination-link next-page" href="#" data-page="<?php echo min( $query_params['paged'] + 1, $design_list['total_pages'] ); ?>">
              <span class="screen-reader-text"><?php _e( 'Next page' ); ?></span>
              <span aria-hidden="true">&rsaquo;</span>
            </a>
          <?php } ?>

          <?php if ( $query_params['paged'] >= $design_list['total_pages'] ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&raquo;</span>
          <?php } else { ?>
            <a class="pagination-link last-page" href="#" data-page="<?php echo $design_list['total_pages']; ?>">
              <span class="screen-reader-text"><?php _e( 'Last page' ); ?></span>
              <span aria-hidden="true">&raquo;</span>
            </a>
          <?php } ?>
        </span>

        <br class="clear">
      </div>
    </div>

    <h2 class="screen-reader-text"><?php _e( 'Design items list', 'vam-udesign' ); ?></h2>
    <div class="designs">
      <?php
        $designs = $design_list['items'];
        if ( !empty( $designs ) ) {
      ?>

        <ul class="design-items">
          <?php
            foreach( $designs as &$design ) {
              if ( empty( $design['id'] ) ) {
                continue;
              }
              $design_id = $design['id'];

              if ( empty( $design['thumb'] ) ) {
                continue;
              }
              $design_thumb = $design['thumb'];

              if ( empty( $design['name'] ) ) {
                continue;
              }
              $design_name = $design['name'];

              $design_background = '#ffffff';
              if ( !empty( $design['background'] ) ) {
                $design_background = $design['background'];
              }
          ?>

            <li class="design-item" data-id="<?php echo $design_id; ?>">
              <div class="wrapper">
                <div class="image-wrapper">
                  <img class="design-image" src="<?php echo $design_thumb; ?>"
                    alt="<?php echo $design_name; ?>" style="background: <?php echo $design_background; ?>" />
                </div>

                <?php
                  $query = vam_udesign_get_designs( array( 'remote_id' => $design_id ) );
                  $hidden_cls = !empty( $query->posts ) ? '' : 'hidden';
                ?>

                <div class="design-import-status status-success icon-ok <?php echo $hidden_cls; ?>"></div>
                <div class="design-import-status status-failed icon-cancel hidden"></div>

                <div class="design-details">
                  <input type="checkbox" name="design_import_items[]" class="design-checkbox" value="<?php echo $design_id; ?>" />
                  <span class="design-title" title="<?php echo $design_name; ?>" alt="<?php echo $design_name; ?>"><?php echo $design_name; ?></span>
                </div>
              </div>
            </li>

          <?php
            }
          ?>
        </ul>
      <?php } else { ?>
        <div class="no-designs-found"><?php _e( 'Sorry, we could not find any designs matching your search criteria.', 'vam-udesign' ); ?></div>
      <?php } ?>
      <div class="clear"></div>
    </div>
  </form>
  <div class="clear"></div>
</div>
