<?php

/**
 * @since      1.0.0
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

$has_thumb = intval( $thumb_id ) > 0;
$_thumb_src = $has_thumb ? wp_get_attachment_image_src( intval( $thumb_id ) ) : '';
$_thumb = $_thumb_src ? $_thumb_src[0] : '';

?>
<div class="form-row upload_color_image_field">
  <?php echo $color_swatch->get_html(); ?>
  <span><?php echo sprintf ( __( '%s', 'vam-udesign' ), esc_html( $color_swatch->get_name() ) ); ?> </span>
  <a href="#" class="upload_image_button tips <?php if ( $has_thumb ) echo 'remove'; ?>" data-tip="<?php if ( $has_thumb ) { echo __( 'Remove this image', 'vam-udesign' ); } else { echo __( 'Upload an image', 'vam-udesign' ); } ?>" data-frame="<?php echo sprintf( '%s_%s_%s', $thepostid, $view_id, $color_id ); ?>">
    <input type="hidden" name="_vam_udesign_views[<?php echo $view_id; ?>][colors][<?php echo $color_id; ?>]" class="upload_image_id" value="<?php echo esc_attr( $thumb_id ); ?>" />
    <img src="<?php if ( $_thumb_src ) echo esc_attr( $_thumb ); else echo esc_attr( wc_placeholder_img_src() ); ?>" />
  </a>
</div>
<div class="clearfix"></div>
