<?php

/**
 * @since      1.0.0
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

global $post, $thepostid;
$thepostid = $post->ID;

extract( $view_data );

?>
<div class="designer_view wc-metabox closed">
  <h3>
    <strong><?php echo sprintf ( __( 'View: %s', 'vam-udesign' ), esc_html( $view_term->name ) ); ?> </strong>
    <div class="handlediv" title="<?php esc_attr_e( 'Click to toggle', 'vam-udesign' ); ?>"></div>
  </h3>
  <div class="designer_view_attributes wc-metabox-content" style="display: none;">
    <div class="data">

      <div class="form-row form-row-first">
        <div class="form-row form-row-first">
          <label for="view_width_<?php echo $view_id; ?>"><?php echo __( 'Width', 'vam-udesign' ) . ' (' . esc_html( get_option( 'woocommerce_dimension_unit' ) ) . ')'; ?></label>
          <input id="view_width_<?php echo $view_id; ?>" class="input-text wc_input_decimal view-w" size="6" type="text" name="_vam_udesign_views[<?php echo $view_id;  ?>][view_width]" value="<?php if ( isset( $view_width ) ) echo esc_attr( $view_width ); ?>" placeholder="<?php echo __( 'Width', 'vam-udesign' ) ?>" />
        </div>
        <div class="form-row form-row-last">
          <label for="view_height_<?php echo $view_id; ?>"><?php echo __( 'Height', 'vam-udesign' ) . ' (' . esc_html( get_option( 'woocommerce_dimension_unit' ) ) . ')'; ?></label>
          <input id="view_height_<?php echo $view_id; ?>" class="input-text wc_input_decimal view-h" size="6" type="text" name="_vam_udesign_views[<?php echo $view_id;  ?>][view_height]" value="<?php if ( isset( $view_height ) ) echo esc_attr( $view_height ); ?>" placeholder="<?php echo __( 'Height', 'vam-udesign' ) ?>" />
        </div>

        <div class="form-row form-row-first">
          <label for="view_price_<?php echo $view_id; ?>"><?php echo __( 'Price per area', 'vam-udesign' ) . ' (' . esc_html( get_option( 'woocommerce_currency' ) ) . ')'; ?></label>
          <input id="view_price_<?php echo $view_id; ?>" class="input-text wc_input_decimal" size="6" type="text" name="_vam_udesign_views[<?php echo $view_id;  ?>][view_price]" value="<?php if ( isset( $view_price ) ) echo esc_attr( $view_price ); ?>" placeholder="0" />
        </div>
        <div class="form-row form-row-last">
          <label for="view_min_percent_<?php echo $view_id; ?>"><?php echo __( 'Min charged area', 'vam-udesign' ) . ' (%)'; ?></label>
          <input id="view_min_percent_<?php echo $view_id; ?>" class="input-text wc_input_decimal" size="6" type="text" name="_vam_udesign_views[<?php echo $view_id;  ?>][view_min_percent]" value="<?php if ( isset( $view_min_percent ) ) echo esc_attr( $view_min_percent ); ?>" placeholder="<?php echo __( 'Minimum charged area percent', 'vam-udesign' ) ?>" />
        </div>

        <div class="form-row form-row-full">
          <label for=""><?php echo __( 'Color Images', 'vam-udesign' ); ?></label>
          <?php
          foreach ( $colors as $color_id => $thumb_id ) {
            $color_swatch = new VAM_UDesign_WC_Swatch_Term( $color_id );

            include 'html-designer-view-color.php';
          }
          ?>
        </div>
      </div>
      <?php
        $added          = intval( $image_id ) > 0;
        $added_class    = $added ? 'added' : '';
        $added_style    = $added ? 'style="background-image:url(' . $_image . ');width:' . $image_width . 'px;height:' .  $image_height. 'px;"' : '';
        $added_interact = $added ? 'data-x="' . $x . '" data-y="' . $y . '" style="width:' . $w . 'px;height:' . $h . 'px;transform:translate(' . $x . 'px,' . $y . 'px);-webkit-transform:translate(' . $x . 'px,' . $y . 'px);"' : '';
      ?>
      <div class="form-row form-row-last">
        <div class="designer_view_editor <?php echo $added_class; ?>" data-frame="<?php echo sprintf( '%s_%s', $thepostid, $view_id ); ?>">
          <div class="form-row form-row-first">
            <label for="image_view_w_<?php echo $view_id; ?>"><?php echo __( 'Area Width (px)', 'vam-udesign' ); ?></label>
            <input type="text" id="image_view_w_<?php echo $view_id; ?>" class="input-text wc_input_decimal image-view-w" name="_vam_udesign_views[<?php echo $view_id;  ?>][w]" data-value="<?php if ( isset( $w ) ) echo esc_attr( $w ); ?>" value="<?php if ( isset( $w ) ) echo esc_attr( $w ); ?>">
          </div>
          <div class="form-row form-row-last">
            <label for="image_view_h_<?php echo $view_id; ?>"><?php echo __( 'Area Height (px)', 'vam-udesign' ); ?></label>
            <input type="text" id="image_view_h_<?php echo $view_id; ?>" class="input-text wc_input_decimal image-view-h" name="_vam_udesign_views[<?php echo $view_id;  ?>][h]" data-value="<?php if ( isset( $h ) ) echo esc_attr( $h ); ?>" value="<?php if ( isset( $h ) ) echo esc_attr( $h ); ?>">
          </div>
          <div class="form-row form-row-first">
            <label for="image_view_x_<?php echo $view_id; ?>"><?php echo __( 'Area Left (px)', 'vam-udesign' ); ?></label>
            <input type="text" id="image_view_x_<?php echo $view_id; ?>" class="input-text wc_input_decimal image-view-x" name="_vam_udesign_views[<?php echo $view_id;  ?>][x]" data-value="<?php if ( isset( $x ) ) echo esc_attr( $x ); ?>" value="<?php if ( isset( $x ) ) echo esc_attr( $x ); ?>">
          </div>
          <div class="form-row form-row-last">
            <label for="image_view_y_<?php echo $view_id; ?>"><?php echo __( 'Area Top (px)', 'vam-udesign' ); ?></label>
            <input type="text" id="image_view_y_<?php echo $view_id; ?>" class="input-text wc_input_decimal image-view-y" name="_vam_udesign_views[<?php echo $view_id;  ?>][y]" data-value="<?php if ( isset( $y ) ) echo esc_attr( $y ); ?>" value="<?php if ( isset( $y ) ) echo esc_attr( $y ); ?>">
          </div>
          <label for="" class="text-center"><?php echo __( 'Drawing Area', 'vam-udesign' ); ?></label>
          <div class="view-image-holder" <?php echo $added_style; ?>>
            <div class="interact-holder" <?php echo $added_interact; ?>>
              <span class="top-left-corner drag-element"></span>
              <span class="top-right-corner drag-element"></span>
              <span class="bottom-left-corner drag-element"></span>
              <span class="bottom-right-corner drag-element"></span>
            </div>
            <input type="hidden" class="image-id" name="_vam_udesign_views[<?php echo $view_id;  ?>][image_id]" value="<?php if ( isset( $image_id ) ) echo esc_attr( $image_id ); ?>">
            <input type="hidden" class="image-w" name="_vam_udesign_views[<?php echo $view_id;  ?>][image_width]" value="<?php if ( isset( $image_width ) ) echo esc_attr( $image_width ); ?>">
            <input type="hidden" class="image-h" name="_vam_udesign_views[<?php echo $view_id;  ?>][image_height]" value="<?php if ( isset( $image_height ) ) echo esc_attr( $image_height ); ?>">
          </div>
          <p class="view-image-actions">
            <a href="#" class="set_view_image"><?php echo __( 'Set view image', 'vam-udesign' ); ?></a>
            <a href="#" class="remove_view_image"><?php echo __( 'Remove view image', 'vam-udesign' ); ?></a>
          </p>
        </div>
        <div class="clearfix"></div>
      </div>
    </div>
  </div>
</div>
