<div class="wrap udesign product-import">
  <h1 class="wp-heading-inline"><?php _e( 'Import Products', 'vam-udesign' ); ?></h1>
  <hr class="wp-header-end">

  <form id="posts-filter" method="get">
    <input type="hidden" name="post_type" class="post_type_page" value="product">
    <input type="hidden" name="page" class="post_type_page" value="product_import">
    <input type="hidden" name="paged" class="post_type_page" value="<?php echo $query_params['paged']; ?>">

    <h2 class="screen-reader-text"><?php _e( 'Filter products list', 'vam-udesign' ); ?></h2>
    <div class="wp-filter">
      <div class="filter-items">
        <label for="category-filter" class="screen-reader-text"><?php echo _e( 'Filter by category' ); ?></label>
        <select class="category-filters" name="category-filter" id="category-filter">
          <option value="0"><?php _e( 'All categories' ); ?></option>
          <?php foreach ( $product_categories as &$product_category ) { ?>
            <option <?php selected( $query_params['category_id'], $product_category['id'], true ); ?>
              value="<?php echo $product_category['id']; ?>"><?php echo $product_category['name']; ?></option>
          <?php } ?>
        </select>

        <label for="limit-filter" class="screen-reader-text"><?php echo _e( 'Posts per page', 'vam-udesign' ); ?></label>
        <select class="limit-filters" name="posts_per_page" id="limit-filter">
            <?php
            $limits = array(
              '10' => __('10 items per page', 'vam-udesign'),
              '25' => __('25 items per page', 'vam-udesign'),
              '50' => __('50 items per page', 'vam-udesign'),
              '100' => __('100 items per page', 'vam-udesign')
            );

            foreach( $limits as $key => $value ) { ?>
              <option <?php selected( $query_params['limit'], $key, true ); ?>
                value="<?php echo $key; ?>"><?php echo $value; ?></option>
          <?php } ?>
        </select>

        <div class="actions view-switch">
          <input type="submit" name="filter_action" id="post-query-submit" class="button" value="<?php _e( 'Filter' ); ?>"/>
        </div>
      </div>

      <div class="search-form">
        <label for="products-search-input" class="screen-reader-text"><?php _e( 'Search Products', 'vam-udesign' ); ?></label>
        <input type="search" placeholder="<?php _e( 'Search products...', 'vam-udesign' ); ?>"
          id="products-search-input" class="search" name="s" value="<?php echo $query_params['query']; ?>">
      </div>
    </div>

    <div class="tablenav top">
      <div class="alignleft bulkactions">
        <button type="button" id="select" class="button action"><?php _e( 'Select all', 'vam-udesign' ); ?></button>
        <button type="button" id="import" class="button button-primary action" disabled="disabled"><?php _e( 'Import', 'vam-udesign' ); ?></button>
      </div>

      <h2 class="screen-reader-text"><?php _e( 'Productss list navigation', 'vam-udesign' ); ?></h2>
      <div class="tablenav-pages">
        <span class="displaying-num"><?php echo $product_list['total_items']; ?> <?php _e( 'items', 'vam-udesign' ); ?></span>
        <span class="pagination-links">
          <?php if ( $query_params['paged'] <= 1 ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&laquo;</span>
					<?php } else { ?>
            <a class="pagination-link first-page" href="#" data-page="<?php echo 1; ?>">
              <span class="screen-reader-text"><?php _e( 'First page' ); ?></span>
              <span aria-hidden="true">&laquo;</span>
            </a>
					<?php } ?>

          <?php if ( $query_params['paged'] <= 1 ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&lsaquo;</span>
          <?php } else { ?>
            <a class="pagination-link prev-page" href="#" data-page="<?php echo max( $query_params['paged'] - 1, 1 ); ?>">
              <span class="screen-reader-text"><?php _e( 'Previous page' ); ?></span>
              <span aria-hidden="true">&lsaquo;</span>
            </a>
          <?php } ?>

          <span class="paging-input">
            <label for="current-page-selector" class="screen-reader-text"><?php _e( 'Current Page' ); ?></label>
            <input class="pagination-link current-page" id="current-page-selector" type="text" name="paged"
              value="<?php echo $query_params['paged']; ?>" size="3" aria-describedby="table-paging">
            <span class="tablenav-paging-text"> <?php _e( 'of' ); ?> <span class="total-pages"><?php echo $product_list['total_pages']; ?></span></span>
          </span>

          <?php if ( $query_params['paged'] >= $product_list['total_pages'] ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&rsaquo;</span>
          <?php } else { ?>
            <a class="pagination-link next-page" href="#" data-page="<?php echo min( $query_params['paged'] + 1, $product_list['total_pages'] ); ?>">
              <span class="screen-reader-text"><?php _e( 'Next page' ); ?></span>
              <span aria-hidden="true">&rsaquo;</span>
            </a>
          <?php } ?>

          <?php if ( $query_params['paged'] >= $product_list['total_pages'] ) { ?>
            <span class="tablenav-pages-navspan" aria-hidden="true">&raquo;</span>
          <?php } else { ?>
            <a class="pagination-link last-page" href="#" data-page="<?php echo $product_list['total_pages']; ?>">
              <span class="screen-reader-text"><?php _e( 'Last page' ); ?></span>
              <span aria-hidden="true">&raquo;</span>
            </a>
          <?php } ?>
        </span>

        <br class="clear">
      </div>
    </div>

    <h2 class="screen-reader-text"><?php _e( 'Products list', 'vam-udesign' ); ?></h2>
    <div class="products">
      <?php
        $products = $product_list['items'];
        if ( ! empty( $products ) ) {
      ?>
        <ul class="product-items">
          <?php
            foreach ( $products as &$product ) {
              if ( empty( $product['id'] ) ) {
                continue;
              }
              $product_id = $product['id'];

              if ( empty( $product['thumb'] ) ) {
                continue;
              }
              $product_thumb = $product['thumb'];

              if ( empty( $product['name'] ) ) {
                continue;
              }
              $product_name = $product['name'];
          ?>

            <li class="product-item" data-id="<?php echo $product_id; ?>" style="margin: 5px;">
              <div class="wrapper">
                <div class="image-wrapper">
                  <img class="product-image" src="<?php echo $product_thumb; ?>"
                    alt="<?php echo $product_name; ?>" />
                </div>

                <?php
                  $query = vam_udesign_get_products( array(
                    'designer_products' => true,
                    'remote_id' => $product_id
                  ) );

                  $hidden_cls = !empty( $query->posts ) ? '' : 'hidden';
                ?>

                <div class="product-import-status status-success icon-ok <?php echo $hidden_cls; ?>"></div>
                <div class="product-import-status status-failed icon-cancel hidden"></div>

                <div class="product-details">
                  <input type="checkbox" name="product_import_items[]" class="product-checkbox" value="<?php echo $product_id; ?>"/>
                  <span class="product-title" title="<?php echo $product_name; ?>" alt="<?php echo $product_name; ?>"><?php echo $product_name; ?></span>
                </div>
              </div>
            </li>
          <?php
            }
          ?>
        </ul>
			<?php } else { ?>
        <div class="no-products-found"><?php _e( 'Sorry, we could not find any products matching your search criteria.', 'vam-udesign' ); ?></div>
			<?php } ?>
      <div class="clear"></div>
    </div>
  </form>
  <div class="clear"></div>
</div>
