/* global single_design_params */
jQuery( function( $ ) {

  // single_design_params is required to continue, ensure the object exists
  if ( typeof single_design_params === 'undefined' ) {
    return false;
  }

  single_design_params.is_designer_page = single_design_params.is_designer_page ? true : false;

  // Ajax add to cart
  $( document ).on( 'click', '.design_variations_form .single_add_to_cart_button', function( event ) {
    event.preventDefault();

    $( '.ajaxerrors' ).remove();

    var $variation_form = $( this ).closest( '.design_variations_form' );
    var quantity = $variation_form.find( 'input[name=quantity]' ).val();
    var product_id = $variation_form.find( 'input[name=product_id]' ).val();
    var var_id = $variation_form.find( 'input[name=variation_id]' ).val();
    var design_id = $variation_form.find( 'input[name=design_id]' ).val();
    var design_meta = $variation_form.find( 'input[name=design_meta]' ).val();
    var item = {};
    var check = true;
    var variations = $variation_form.find( 'select[name^=attribute]' );

    /* To work with radio button */
    if ( !variations.length) {
      variations = $variation_form.find( '[name^=attribute]:checked' );
    }

    /* To get input variable */
    if ( !variations.length ) {
      variations = $variation_form.find( 'input[name^=attribute]' );
    }

    variations.each( function() {
      var $this = $( this );
      var attributeName = $this.attr( 'name' );
      var attributevalue = $this.val();
      var index;
      var attributeTaxName;

      $this.removeClass( 'error' );

      if ( attributevalue.length === 0 ) {
        index = attributeName.lastIndexOf( '_' );
        attributeTaxName = attributeName.substring( index + 1 );

        $this
          .addClass( 'required error' )
          .before( '<div class="ajaxerrors"><p>Please select ' + attributeTaxName + '</p></div>' );

        check = false;
      } else {
        item[attributeName] = attributevalue;
      }
    } );

    if ( !check ) {
      return false;
    }

    var $button = $( this );
    if ( $button.is( '.design_variations_form .single_add_to_cart_button' ) ) {
      $button.removeClass( 'added' );
      $button.addClass( 'loading' );

      quantity = isFinite( quantity ) ? quantity : 1;

      if ( single_design_params.is_designer_page ) {
        if ( !window || !window.pd ) {
          return false;
        }

        $( document ).trigger( 'designer-add-to-cart', {
            button: $button,
            variations: [ {
              id: var_id,
              quantity: quantity,
            } ],
            callback: function( response ) {
              if ( !response || !response.success ) {
                $button.removeClass( 'loading' );
              }
            },
        } );
      } else {
        var data = {
          action: 'udesign_add_to_cart',
          product_id: product_id,
          quantity: quantity,
          variation_id: var_id,
          design_id: design_id
        };

        udesign.designs.add_to_cart( data, $button );
      }

      return false;
    } else {
      return true;
    }

  });

});
