/* global wp */
jQuery( function( $ ) {
  'use strict';

  var setClipartThumb = function(attachmentID) {
    udesign.posts.setThumb({
      postID: clipart_data.post_id,
      attachmentID: attachmentID,
      security: clipart_data.security.thumb_nonce
    },
    function(response) {
      $('#postimagediv .inside').html(response);
    });
  };

  $(document.body).on('init_clipart_metabox_media_upload', function() {
    var $button = $('.add_clipart_image');
    if (!$button.length) {
      return;
    }

    var _custom_media = false;
    var _orig_send_attachment = wp.media.editor.send.attachment;
    var frame = null;

    $button.click(function(e) {
      e.preventDefault();

      // If the media frame already exists, reopen it.
      if (frame) {
        frame.open();
        return;
      }

      // Create a new media frame
      frame = wp.media({
        title: 'Select or Upload an Image',
        button: {
          text: 'Use this media'
        },
        multiple: false  // Set to true to allow multiple files to be selected
      });

      // When an image is selected in the media frame...
      frame.on('select', function() {
        udesign.ui.block('#clipart-image');

        // Get media attachment details from the frame state
        var attachment = frame.state().get('selection').first().toJSON();
        if (attachment.mime == 'image/svg+xml') {
          udesign.blob.fromSVG(attachment.url, 400, function(blob) {
            udesign.blob.upload({
              security: clipart_data.security.blob_attachment_nonce,
              postID: clipart_data.post_id,
              postType: 'clipart',
              image: {
                name: attachment.name,
                data: blob
              }
            }, function(response) {
                udesign.ui.unblock('#clipart-image');

                if (response.success !== true) {
                  return;
                }

                setClipartThumb(response.data.attachment_id);
            });
          });
        } else {
          udesign.ui.unblock('#clipart-image');
          setClipartThumb(attachment.id);
        }

        var $input = $button.parent().find('.upload_image_id');
        $input.val(attachment.id);
      });

      // Finally, open the modal on click
      frame.open();
      return false;
    });
  }).trigger('init_clipart_metabox_media_upload');

});
