/* global wp */
jQuery( function( $ ) {
  'use strict';

  $(document.body).on('init_colorpicker', function() {
    $('[data-type="colorpicker"]').each(function() {
      $(this).wpColorPicker();
    });
  }).trigger('init_colorpicker');

  $(document.body).on('init_attribute_swatch_media_upload', function() {
    var _custom_media = false;
    var _orig_send_attachment = wp.media.editor.send.attachment;

    $('.remove_swatch_image_button').click(function(e) {
      e.preventDefault();

      $(this).parent().find('.upload_image_id').val('');
      $(this).closest('.sub_field').find('img')
        .attr('src', wc_swatches_params.placeholder_img_src);
    });

    var frame = null;

    $('.upload_swatch_image_button').click(function(e) {
      e.preventDefault();
      var $button = $(this);

      // If the media frame already exists, reopen it.
      if (frame) {
        frame.open();
        return;
      }

      // Create a new media frame
      frame = wp.media({
        title: 'Select or Upload an Image',
        button: {
          text: 'Use this media'
        },
        multiple: false  // Set to true to allow multiple files to be selected
      });


      // When an image is selected in the media frame...
      frame.on('select', function() {

        // Get media attachment details from the frame state
        var attachment = frame.state().get('selection').first().toJSON();

        var $input = $button.parent().find('.upload_image_id');

        $input.val(attachment.id);
        $button.closest('.sub_field').find('img').attr('src', attachment.url);
      });

      // Finally, open the modal on click
      frame.open();
      return false;
    });
  }).trigger('init_attribute_swatch_media_upload');

});
