/* global udesign_settings_params */

/**
 * uDesign Admin JS
 */
jQuery( function ( $ ) {
  'use strict';

  // Field validation error tips
  $( document.body )
    .on( 'init_tooltips', function() {
      var tiptip_args = {
        'attribute': 'data-tip',
        'fadeIn': 50,
        'fadeOut': 50,
        'delay': 200
      };

      $( '.tips, .help_tip, .udesign-help-tip' ).tipTip( tiptip_args );

      // Add tiptip to parent element for widefat tables
      $( '.parent-tips' ).each( function() {
        $( this ).closest( 'a, th' ).attr( 'data-tip', $( this ).data( 'tip' ) ).tipTip( tiptip_args ).css( 'cursor', 'help' );
      });
    }).trigger( 'init_tooltips' );

  // Prompt leaving settings page without saving
  $( document.body )
    .on( 'init_check_settings_changes', function() {
      var changed = false;

      $( 'input, textarea, select, checkbox' ).change( function() {
        changed = true;
      });

      $( '.woo-nav-tab-wrapper a' ).click( function() {
        if ( changed ) {
          window.onbeforeunload = function() {
            return udesign_settings_params.i18n_nav_warning;
          };
        } else {
          window.onbeforeunload = '';
        }
      });

      $( '.submit input' ).click( function() {
        window.onbeforeunload = '';
      });
    }).trigger( 'init_check_settings_changes' );

});
