<?php

class VAM_UDesign_Updater {
  public $name;
  public $slug;
  public $version;
  public $host;
  public $url;

  function __construct( $name, $slug, $version, $host, $url ) {
    $this->name = $name;
    $this->slug = $slug;
    $this->version = $version;
    $this->host = $host;
    $this->url = sprintf( '%s:%s', is_ssl() ? 'https' : 'http', $url );
  }

  public function check_update( $transient ) {
    if ( empty( $transient->checked ) ) {
      return $transient;
    }

    $latest_version = $this->get_latest_version();
    if ( empty( $latest_version ) ) {
      return $transient;
    }

    $version = $latest_version->version;
    if ( version_compare( $this->version, $version, '<' ) ) {
      $obj = new stdClass();
      $obj->slug = $this->name;
      $obj->new_version = $version;
      $obj->url = $this->url;
      $obj->package = $this->url . '/package';

      $transient->response[$this->slug] = $obj;
    }

    return $transient;
  }

  public function get_latest_version() {
    $response = wp_remote_get( $this->url );
    if( is_array( $response ) ) {
      return json_decode( $response['body'] );
    }

    return false;
  }

  public function allowed_sources( $allow, $host, $url ) {
    return ( $host == $this->$host ) ? true : $allow;
  }
}

?>
