<?php
/**
 * VAM_UDesign Widget Functions
 *
 * Functions related to pages and menus.
 *
 * @since      1.0.0
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/includes
 * @author     uDesign Team <udesign@vectorartmedia.com>
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

/**
 * Include Widget Classes.
 */
function vam_udesign_include_widgets() {
  include_once( 'widgets/class-vam-udesign-widget-design-categories.php' );
  include_once( 'widgets/class-vam-udesign-widget-design-search.php' );
  include_once( 'widgets/class-vam-udesign-widget-design-tag-cloud.php' );
  include_once( 'widgets/class-vam-udesign-widget-designs.php' );
}
add_action( 'init', 'vam_udesign_include_widgets', 0 );

/**
 * Register Widgets.
 */
function vam_udesign_register_widgets() {
  if ( ! class_exists( 'WC_Widget' ) ) {
    return;
  }

  register_widget( 'VAM_UDesign_Widget_Design_Categories' );
  register_widget( 'VAM_UDesign_Design_Search' );
  register_widget( 'VAM_UDesign_Design_Tag_Cloud' );
  register_widget( 'VAM_UDesign_Widget_Designs' );
}
add_action( 'widgets_init', 'vam_udesign_register_widgets', 20 );
