<?php

if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

/**
 * Design Search Widget.
 *
 * @since      1.0.0
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/includes/widgets
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @extends    WC_Widget
 */
class VAM_UDesign_Design_Search extends WC_Widget {

  /**
   * Constructor.
   */
  public function __construct() {
    $this->widget_cssclass    = 'woocommerce udesign widget_design_search';
    $this->widget_description = __( 'A Search box for designs only.', 'vam-udesign' );
    $this->widget_id          = 'vam_udesign_design_search';
    $this->widget_name        = __( 'Design Search', 'vam-udesign' );
    $this->settings           = array(
      'title'  => array(
        'type'  => 'text',
        'std'   => '',
        'label' => __( 'Title', 'vam-udesign' )
      )
    );

    parent::__construct();
  }

  /**
   * Output widget.
   *
   * @see WP_Widget
   *
   * @param array $args
   * @param array $instance
   */
  public function widget( $args, $instance ) {
    $this->widget_start( $args, $instance );

    get_design_search_form();

    $this->widget_end( $args );
  }
}
