<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

  <?php
    /**
     * woocommerce_before_main_content hook.
     *
     * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
     * @hooked woocommerce_breadcrumb - 20
     */
    do_action( 'woocommerce_before_main_content' );
  ?>

    <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

      <h1 class="page-title"><?php vam_udesign_page_title(); ?></h1>

    <?php endif; ?>

    <?php
      /**
       * vam_udesign_archive_description hook.
       *
       * @hooked vam_udesign_taxonomy_archive_description - 10
       * @hooked vam_udesign_design_archive_description - 10
       */
      do_action( 'vam_udesign_archive_description' );
    ?>

    <?php if ( have_posts() ) : ?>

      <?php
        /**
         * vam_udesign_before_shop_loop hook.
         *
         * @hooked vam_udesign_result_count - 20
         * @hooked vam_udesign_catalog_ordering - 30
         */
        do_action( 'vam_udesign_before_shop_loop' );
      ?>

      <?php vam_udesign_design_loop_start(); ?>

        <?php while ( have_posts() ) : the_post(); ?>

          <?php vam_udesign_get_template_part( 'content', 'design' ); ?>

        <?php endwhile; // end of the loop. ?>

      <?php vam_udesign_design_loop_end(); ?>

      <?php
        /**
         * vam_udesign_after_shop_loop hook.
         *
         * @hooked vam_udesign_pagination - 10
         */
        do_action( 'vam_udesign_after_shop_loop' );
      ?>

    <?php else: ?>

      <?php vam_udesign_get_template( 'loop/no-designs-found.php' ); ?>

    <?php endif; ?>

  <?php
    /**
     * woocommerce_after_main_content hook.
     *
     * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
     */
    do_action( 'woocommerce_after_main_content' );
  ?>

  <?php
    /**
     * vam_udesign_sidebar hook.
     *
     * @hooked vam_udesign_get_sidebar - 10
     */
    do_action( 'vam_udesign_sidebar' );
  ?>

<?php get_footer( 'shop' ); ?>
