<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

?>

<?php
  /**
   * vam_udesign_before_single_design hook.
   *
   * @hooked wc_print_notices - 10
   */
   do_action( 'vam_udesign_before_single_design' );

   if ( post_password_required() ) {
    echo get_the_password_form();
    return;
   }
?>

<div itemscope itemtype="Product" id="design-<?php the_ID(); ?>" <?php post_class(); ?>>

  <?php
    /**
     * vam_udesign_before_single_design_summary hook.
     *
     * @hooked vam_udesign_show_design_images - 20
     */
    do_action( 'vam_udesign_before_single_design_summary' );
  ?>

  <div class="summary entry-summary">

    <?php
      /**
       * vam_udesign_single_design_summary hook.
       *
       * @hooked vam_udesign_template_single_title - 5
       * @hooked vam_udesign_template_single_products_gallery - 10
       * @hooked vam_udesign_template_single_add_to_cart - 30
       * @hooked vam_udesign_template_single_meta - 40
       * @hooked vam_udesign_template_single_sharing - 50
       */
      do_action( 'vam_udesign_single_design_summary' );
    ?>

  </div><!-- .summary -->

  <?php
    /**
     * vam_udesign_after_single_design_summary hook.
     *
     * @hooked woocommerce_output_design_data_tabs - 10
     * @hooked woocommerce_upsell_display - 15
     * @hooked woocommerce_output_related_designs - 20
     */
    do_action( 'vam_udesign_after_single_design_summary' );
  ?>

  <meta itemprop="url" content="<?php the_permalink(); ?>" />

  <div class="clear"></div>

</div><!-- #design-<?php the_ID(); ?> -->

<?php do_action( 'vam_udesign_after_single_design' ); ?>
