<?php
/**
 * The template for displaying design search form
 *
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

?>

<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
  <label class="screen-reader-text" for="vam-udesign-design-search-field"><?php _e( 'Search for:', 'vam-udesign' ); ?></label>
  <input type="search" id="vam-udesign-design-search-field" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Designs&hellip;', 'placeholder', 'vam-udesign' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'vam-udesign' ); ?>" />
  <input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'vam-udesign' ); ?>" />
  <input type="hidden" name="post_type" value="design" />
</form>
