<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

global $post;
if ( empty( $post ) && !empty( $post_id ) ) {
  $post = get_post( $post_id );
}

$columns           = apply_filters( 'woocommerce_product_thumbnails_columns', 4 );
$wrapper_classes   = apply_filters( 'woocommerce_single_product_image_gallery_classes', array(
  'woocommerce-design-gallery',
  'woocommerce-product-gallery',
  'woocommerce-product-gallery--with-images',
  'woocommerce-product-gallery--columns-' . absint( $columns ),
  'images',
) );
?>
<div class="<?php echo esc_attr( implode( ' ', array_map( 'sanitize_html_class', $wrapper_classes ) ) ); ?>" data-columns="<?php echo esc_attr( $columns ); ?>" style="opacity: 0; transition: opacity .25s ease-in-out;">
  <figure class="woocommerce-product-gallery__wrapper">

  <?php
    vam_udesign_get_template( 'single-design/design-thumbnails.php', array(
      'post' => $post,
      'product' => empty( $product ) ? array() : $product
    ) );
  ?>

  </figure>
</div>
