<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

$design_background = '';
$design_thumbnails = get_post_meta( $post->ID, '_design_thumbnails', true );

$has_product = false;
if ( !empty( $product ) ) {
  $has_product = true;
  $design_background = $product['color'];
}

if ( empty( $design_background ) ) {
  $design_background = get_post_meta( $post->ID, '_design_background_color', true );
}

foreach ( $design_thumbnails as $view => &$design_thumbnail ) {
  $thumbnails = array();
  if ( !empty( $product['thumbnails'][$view] ) ) {
    $thumbnails['product'] = $product['thumbnails'][$view];
  } else {
    if ( $has_product ) {
      continue;
    }
  }
  $thumbnails['design'] = $design_thumbnail;

  foreach ( $thumbnails as $key => $thumbnail ) {
    $full_image_url = esc_url( $thumbnail['full'] );
    $image_width = 0;
    $image_height = 0;

    $size = getimagesize( $full_image_url );
    if ( !empty( $size ) ) {
      $image_width = $size[0];
      $image_height = $size[1];
    }

    $styles = '';
    $data_background = '';
    $classes = 'woocommerce-product-gallery__image';
    if ( $key == 'design' ) {
      $styles = 'background-color: ' . $design_background . ';';
      $classes .= ' design-thumbnail';
      $data_background = $design_background;
    }

    $html = '<div data-thumb="' . esc_url( $thumbnail['thumbnail'] ) .
      '" class="' . $classes . '" style="' . $styles .
      '" data-background="' . $data_background .
      '"><a href="' . $full_image_url . '">';
    $html .= '<img src="' . esc_url( $thumbnail['single'] ) .
      '" title="' . $post->post_title .
      '" data-src="' . $full_image_url .
      '" data-large_image="' . $full_image_url;

    if ( !empty( $image_width ) && !empty( $image_height ) ) {
      $html .= '" data-large_image_width="' . $image_width . '" data-large_image_height="' . $image_height;
    }

    $html .= '" /></a></div>';

    echo apply_filters( 'vam_udesign_single_product_image_thumbnail_html', $html );
  }
}
