<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

if ( empty( $designer_product_ids ) ) {
  return;
}

$loop = 0;
$columns = apply_filters( 'vam_udesign_single_design_product_thumbnails_columns', 4 );
$product_cat_class = function( $id ) {
  return "product_cat_id_$id";
};

?>

<div class="designer_products <?php echo 'columns-' . $columns; ?>">
  <?php
    foreach ( $designer_product_ids as $designer_product_id ) {
      $designer_product_title = get_the_title( $designer_product_id );
      $product_category_ids = wp_get_object_terms( $designer_product_id, 'product_cat', array( 'fields' => 'ids' ) );
      $classes = array_map( $product_cat_class, $product_category_ids );
      $classes[] = 'designer_product';

      if ( $loop === 0 ) {
        $classes[] = 'selected';
      }

      if ( $loop === 0 || $loop % $columns === 0 ) {
        $classes[] = 'first';
      }

      if ( ( $loop + 1 ) % $columns === 0 ) {
        $classes[] = 'last';
      }

      $image_class    = implode( ' ', $classes );
      $attachment_id  = get_post_thumbnail_id( $designer_product_id );
      $props          = wc_get_product_attachment_props( $attachment_id, get_post( $designer_product_id ) );
      $props['title'] = $designer_product_title;

      echo apply_filters(
        'vam_udesign_single_design_image_thumbnail_html',
        sprintf(
          '<div class="%s" title="%s" data-product_id="%s" style="opacity:0"><div class="swatch-wrapper">%s</div></div>',
          esc_attr( $image_class ),
          $designer_product_title,
          $designer_product_id,
          wp_get_attachment_image( $attachment_id, vam_udesign_get_image_size_array( 'udesign_design_thumbnail' ), 0, $props )
        ),
        $attachment_id,
        $designer_product_id,
        esc_attr( $image_class )
      );

      $loop++;
    }
  ?>
</div>
<div class="clear"></div>
