<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

global $design, $udesign_loop;

if ( empty( $design ) || ! $design->exists() ) {
  return;
}

if ( ! $related = $design->get_related( $posts_per_page ) ) {
  return;
}

$args = apply_filters( 'vam_udesign_related_designs_args', array(
  'post_type'            => 'design',
  'ignore_sticky_posts'  => 1,
  'no_found_rows'        => 1,
  'posts_per_page'       => $posts_per_page,
  'orderby'              => $orderby,
  'post__in'             => $related,
  'post__not_in'         => array( $design->id )
) );

$designs                 = new WP_Query( $args );
$udesign_loop['name']    = 'related';
$udesign_loop['columns'] = apply_filters( 'vam_udesign_related_designs_columns', $columns );

if ( $designs->have_posts() ) : ?>

  <div class="related products designs">

    <h2><?php _e( 'Related Designs', 'vam-udesign' ); ?></h2>

    <?php vam_udesign_design_loop_start(); ?>

      <?php while ( $designs->have_posts() ) : $designs->the_post(); ?>

        <?php vam_udesign_get_template_part( 'content', 'design' ); ?>

      <?php endwhile; // end of the loop. ?>

    <?php vam_udesign_design_loop_end(); ?>

  </div>

<?php endif;

wp_reset_postdata();
