<?php
/**
 * @package    VAM_UDesign
 * @subpackage VAM_UDesign/public/templates
 * @author     uDesign Team <udesign@vectorartmedia.com>
 * @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see vam_udesign_default_design_tabs()
 */
$tabs = apply_filters( 'vam_udesign_design_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

  <div class="woocommerce-tabs wc-tabs-wrapper">
    <ul class="tabs wc-tabs">
      <?php foreach ( $tabs as $key => $tab ) : ?>
        <li class="<?php echo esc_attr( $key ); ?>_tab">
          <a href="#tab-<?php echo esc_attr( $key ); ?>"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
        </li>
      <?php endforeach; ?>
    </ul>
    <?php foreach ( $tabs as $key => $tab ) : ?>
      <div class="woocommerce-Tabs-panel woocommerce-Tabs-panel--<?php echo esc_attr( $key ); ?> panel entry-content wc-tab" id="tab-<?php echo esc_attr( $key ); ?>">
        <?php call_user_func( $tab['callback'], $key, $tab ); ?>
      </div>
    <?php endforeach; ?>
  </div>

<?php endif; ?>
